<div class="container">
  <mat-card>
    <p>
      <img class="logo" src="assets/contrast.png" alt="angular logo"/>
    </p>
    <mat-card-content>
      <mat-card-title translate>Best City Weather!</mat-card-title>
      <mat-card-subtitle>
        <app-loader [isLoading]="isLoading" size="1.5"></app-loader>
        <div [hidden]="isLoading">
            
          <div>
            <div>Please, select your sex</div><br>
            <mat-radio-group [(ngModel)]="choosedMale">
                <mat-radio-button class="maleChooseButton" *ngFor="let choose of maleChoose" [value]="choose">
                  {{choose}}
                </mat-radio-button>
            </mat-radio-group>
            <br>
            <br>
            <button mat-raised-button color="primary" (click)="reCalculateForMale()" >Recalculate</button>
          </div>

            <mat-table [dataSource]="cityInfos">

              <!-- Name columns -->
              <ng-container matColumnDef="name">
                <mat-header-cell *matHeaderCellDef>City Name</mat-header-cell>
                <mat-cell *matCellDef="let cityInfo">{{cityInfo.name}}</mat-cell>
              </ng-container>

              <!-- Temperature columns -->
              <ng-container matColumnDef="temperature">
                  <mat-header-cell *matHeaderCellDef>Temperature</mat-header-cell>
                  <mat-cell *matCellDef="let cityInfo">{{cityInfo.temperature}}</mat-cell>
              </ng-container>

              <!-- Humidity columns -->
              <ng-container matColumnDef="humidity">
                  <mat-header-cell *matHeaderCellDef>Humidity</mat-header-cell>
                  <mat-cell *matCellDef="let cityInfo">{{cityInfo.humidity}}</mat-cell>
              </ng-container>

              <!-- Rating columns -->
              <ng-container matColumnDef="rating">
                  <mat-header-cell *matHeaderCellDef>Rating</mat-header-cell>
                  <mat-cell *matCellDef="let cityInfo">{{cityInfo.rating}}</mat-cell>
              </ng-container>

              <!-- Row -->
              <mat-header-row *matHeaderRowDef="columnsToDisplay"></mat-header-row>
              <mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></mat-row>
            </mat-table>

          <!-- <ul *ngFor="let cityInfo of cityInfos">
            <li>
              <div>
                <h2>{{cityInfo.name}}</h2>
                <span>Temp = {{cityInfo.temperature}}</span>
                <span>Humidity = {{cityInfo.humidity}}</span>
                <span>{{cityInfo.rating}}</span>
              </div>
            </li>
          </ul> -->

        </div>
      </mat-card-subtitle>
    </mat-card-content>
  </mat-card>
</div>
